Loading...
Searching...
No Matches
gsm_int.h File Reference
`#include <sys/types.h>`
`#include <osmocom/sim/sim.h>`

Go to the source code of this file.

## Functions

int | osim_int_cprof_add_gsm (struct osim_file_desc *mf)
int | osim_int_cprof_add_telecom (struct osim_file_desc *mf)
int | gsm_hpplmn_decode (struct osim_decoded_data *dd, const struct osim_file_desc *desc, int len, uint8_t *data)
int | gsm_lp_decode (struct osim_decoded_data *dd, const struct osim_file_desc *desc, int len, uint8_t *data)
int | gsm_imsi_decode (struct osim_decoded_data *dd, const struct osim_file_desc *desc, int len, uint8_t *data)

## Function Documentation

## gsm_hpplmn_decode()

int gsm_hpplmn_decode | ( | struct osim_decoded_data * | dd,
|  | const struct osim_file_desc * | desc,
|  | int | len,
|  | uint8_t * | data
| ) |  |

References ELEM_REPR_DEC, ELEM_T_UINT8, element_alloc(), osim_decoded_element::u, and osim_decoded_element::u8.

## gsm_imsi_decode()

int gsm_imsi_decode | ( | struct osim_decoded_data * | dd,
|  | const struct osim_file_desc * | desc,
|  | int | len,
|  | uint8_t * | data
| ) |  |

References osim_decoded_element::buf, ELEM_REPR_DEC, ELEM_T_BCD, element_alloc(), osim_decoded_element::length, and osim_decoded_element::u.

## gsm_lp_decode()

int gsm_lp_decode | ( | struct osim_decoded_data * | dd,
|  | const struct osim_file_desc * | desc,
|  | int | len,
|  | uint8_t * | data
| ) |  |

References ELEM_REPR_DEC, ELEM_T_UINT8, element_alloc(), osim_decoded_element::u, and osim_decoded_element::u8.

## osim_int_cprof_add_gsm()

int osim_int_cprof_add_gsm | ( | struct osim_file_desc * | mf | ) |

References add_df_with_ef(), sim_ef_in_gsm, sim_ef_in_mexe, and sim_ef_in_solsa.

Referenced by osim_cprof_sim(), and osim_cprof_uicc().

## osim_int_cprof_add_telecom()

int osim_int_cprof_add_telecom | ( | struct osim_file_desc * | mf | ) |

References add_df_with_ef(), sim_ef_in_graphics, and sim_ef_in_telecom.

Referenced by osim_cprof_sim(), osim_cprof_tsim(), and osim_cprof_uicc().